void for_fit(const char *filename="/home/lenovo/Desktop/PhD/analysis/thesis/d0_kk/background_study/skimmed_proc11_prompt_leto_afterBCS_ta_myflag_md0pi.root", const char *outfilename= "required_for_2d_fit.root")  
{
  // Read your input file
  TFile *f = new TFile(filename,"READ");
  TTree *tree = (TTree*) f->Get("DstD0PiKK");
  
  Double_t Dz_M, Dst_M, Dst_isSignalAcceptMissingGamma, DzPi_M;
  Int_t my_flag;
  
  tree->SetBranchAddress("Dz_M",&Dz_M);
  tree->SetBranchAddress("DzPi_M",&DzPi_M);
 
  TFile *f1 = new TFile(outfilename,"RECREATE");
  TTree *t1 = new TTree("distributions","tTREE");//creating a tree 
  Double_t d0pi,d0;
  
  
  TBranch *b_d0pi=t1->Branch("d0pi",&d0pi,"d0pi/D");
  TBranch *b_d0=t1->Branch("d0",&d0,"d0/D");
  
  
  // Loop over candidates
  Long64_t nentries = tree->GetEntriesFast();
  for (Long64_t i=0; i<nentries; i++){
    tree->GetEntry(i);
    
    
  //{
      
      if(Dz_M>1.75&&Dz_M<2.05&&DzPi_M>2.005&&DzPi_M<2.03)	  
            	
	{
	  d0pi=DzPi_M;
          d0=Dz_M;	
	  //b_d0pi_kpipi0_semileptonic->Fill();
          //b_d0_kpipi0_semileptonic->Fill();	
	  t1->Fill();
	 
	  //d0_kpipi0_semileptonic=Dz_M;
	  //b_d0_kpipi0_semileptonic->Fill();
	  //t2->Fill();
	} 
    
  } 
  //if (gROOT->IsBatch()) return;
  //new TBrowser();

  t1->Write();
  //t2->Write();	
  f1->Close();
  
}
